--
-- toardb/extension/toar_controlled_vocabulary/toar_controlled_vocabulary--0.5.sql
--
-- [Step to install]
--
-- 1. 
--

-- INSTALL VERSION: '0.5'

-- complain if script is sourced in psql, rather than via CREATE EXTENSION
\echo Use "CREATE/ALTER EXTENSION toar_controlled_vocabulary" to load this file. \quit

-- Update Data
-- ===========

-- Data Flags

-- still to do:
-- How to set convoc_schema to result from SELECT:
-- SELECT table_schema INTO convoc_schema FROM information_schema.tables WHERE table_name='df_vocabulary';

SET SCHEMA 'toar_convoc';

INSERT INTO df_vocabulary (enum_val, enum_str, enum_display_str) VALUES
  (20, 'ErroneousValidatedConfirmed', 'erroneous validated confirmed'),
  (21, 'ErroneousValidatedUnconfirmed', 'erroneous validated unconfirmed'),
  (22, 'ErroneousValidatedFlagged', 'erroneous validated flagged'),
  (23, 'ErroneousPreliminaryConfirmed', 'erroneous preliminary confirmed'),
  (24, 'ErroneousPreliminaryUnconfirmed', 'erroneous preliminary unconfirmed'),
  (25, 'ErroneousPreliminaryFlagged', 'erroneous preliminary flagged'),
  (90, 'MissingValue', 'missing value'),
  (91, 'UnknownQualityStatus', 'unknown quality status');

UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 0, 'OKValidatedVerified', 'OK validated verified') WHERE enum_val=0;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 1, 'OKValidatedQCPassed', 'OK validated QC passed') WHERE enum_val=1;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 2, 'OKValidatedModified', 'OK validated modified') WHERE enum_val=2;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 3, 'OKPreliminaryVerified', 'OK preliminary verified') WHERE enum_val=3;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 4, 'OKPreliminaryQCPassed', 'OK preliminary QC passed') WHERE enum_val=4;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 5, 'OKPreliminaryModified', 'OK preliminary modified') WHERE enum_val=5;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = ( 6, 'OKEstimated', 'OK estimated') WHERE enum_val=6;
-- The next statement is only possible if no entry in data/data_archive uses this value already!!!
-- DELETE FROM df_vocabulary WHERE enum_val=7;
DELETE FROM df_vocabulary WHERE enum_val=8;
DELETE FROM df_vocabulary WHERE enum_val=9;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = (10, 'QuestionnableValidatedConfirmed', 'questionnable validated confirmed') WHERE enum_val=10;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = (11, 'QuestionnableValidatedUnconfirmed', 'questionnable validated unconfirmed') WHERE enum_val=11;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = (12, 'QuestionnableValidatedFlagged', 'questionnable validated flagged') WHERE enum_val=12;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = (13, 'QuestionnablePreliminaryConfirmed', 'questionnable preliminary confirmed') WHERE enum_val=13;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = (14, 'QuestionnablePreliminaryUnconfirmed', 'questionnable preliminary unconfirmed') WHERE enum_val=14;
UPDATE df_vocabulary SET (enum_val, enum_str, enum_display_str) = (15, 'QuestionnablePreliminaryFlagged', 'questionnable preliminary flagged') WHERE enum_val=15;
